Ubuntu 14.04 (kernel 3.13) 安裝 vmware workstation 9.0.3或9.0.4

當於Ubuntu 14.04 (其 Linux kernel 版本為 3.13),此時若安裝 vmware workstation 9.0.3或9.0.4版本時,會在於解壓縮所有的套件程式後,在出現要求「install」相關所需的套件過程中,會發生無法繼續安裝的錯誤,經檢視其錯誤記錄檔的內容,會發現原來是 vmnet 這個虛擬網卡無法正確建立,經搜尋相關的文章,查到此處的文章,其中以建立一個補丁檔 (patch file)的方式,重新將 vmnet.tar的內容加入此補丁檔後,再重新執行 vmware 並點按「install」後,即可順利的正確安裝完成。其過程如下:

首先開啟文字編輯器,並複製貼上下列的指令:

205a206
> #if LINUX_VERSION_CODE < KERNEL_VERSION(3, 13, 0)
206a208,210
> #else
> VNetFilterHookFn(const struct nf_hook_ops *ops,        // IN:
> #endif
255c259,263
<    transmit = (hooknum == VMW_NF_INET_POST_ROUTING);
---
>    #if LINUX_VERSION_CODE < KERNEL_VERSION(3, 13, 0)
>       transmit = (hooknum == VMW_NF_INET_POST_ROUTING);
>    #else
>       transmit = (ops->hooknum == VMW_NF_INET_POST_ROUTING);
>    #endif

並以vmnet313.patch的檔名儲存起來。

然後再依序的於終端機中依序執行下列的指令:

cd /usr/lib/vmware/modules/source

sudo tar -xvf vmnet.tar

sudo patch vmnet-only/filter.c < ~/vmnet313.patch

sudo tar -uvf vmnet.tar vmnet-only

sudo rm -r vmnet-only

sudo /usr/lib/vmware/bin/vmware-modconfig --console --install-all

 

文章標籤
創作者介紹
創作者 xx3d2ybnf 的頭像
xx3d2ybnf

xx3d2ybnf-不圖3日但2年精進勇者不懼的部落格

xx3d2ybnf 發表在 痞客邦 留言(0) 人氣()